import type { Handler, HandlerInboundMessage } from '../../../../../agent/Handler';
import type { Logger } from '../../../../../logger';
import type { DidCommMessageRepository } from '../../../../../storage';
import type { V1CredentialService } from '../V1CredentialService';
import { OutboundMessageContext } from '../../../../../agent/models';
import { V1IssueCredentialMessage } from '../messages';
export declare class V1IssueCredentialHandler implements Handler {
    private credentialService;
    private didCommMessageRepository;
    private logger;
    supportedMessages: (typeof V1IssueCredentialMessage)[];
    constructor(credentialService: V1CredentialService, didCommMessageRepository: DidCommMessageRepository, logger: Logger);
    handle(messageContext: HandlerInboundMessage<V1IssueCredentialHandler>): Promise<OutboundMessageContext<import("../messages").V1CredentialAckMessage> | undefined>;
    private acceptCredential;
}
