import type { Handler, HandlerInboundMessage } from '../../../../../agent/Handler';
import type { Logger } from '../../../../../logger';
import type { DidCommMessageRepository } from '../../../../../storage';
import type { RoutingService } from '../../../../routing/services/RoutingService';
import type { V1CredentialService } from '../V1CredentialService';
import { OutboundMessageContext } from '../../../../../agent/models';
import { V1OfferCredentialMessage } from '../messages';
export declare class V1OfferCredentialHandler implements Handler {
    private credentialService;
    private routingService;
    private didCommMessageRepository;
    private logger;
    supportedMessages: (typeof V1OfferCredentialMessage)[];
    constructor(credentialService: V1CredentialService, routingService: RoutingService, didCommMessageRepository: DidCommMessageRepository, logger: Logger);
    handle(messageContext: HandlerInboundMessage<V1OfferCredentialHandler>): Promise<OutboundMessageContext<import("../messages").V1RequestCredentialMessage> | undefined>;
    private acceptOffer;
}
