import type { Handler } from '../../../../../agent/Handler';
import type { InboundMessageContext } from '../../../../../agent/models/InboundMessageContext';
import type { Logger } from '../../../../../logger/Logger';
import type { DidCommMessageRepository } from '../../../../../storage';
import type { V2CredentialService } from '../V2CredentialService';
import { OutboundMessageContext } from '../../../../../agent/models';
import { V2RequestCredentialMessage } from '../messages/V2RequestCredentialMessage';
export declare class V2RequestCredentialHandler implements Handler {
    private credentialService;
    private didCommMessageRepository;
    private logger;
    supportedMessages: (typeof V2RequestCredentialMessage)[];
    constructor(credentialService: V2CredentialService, didCommMessageRepository: DidCommMessageRepository, logger: Logger);
    handle(messageContext: InboundMessageContext<V2RequestCredentialMessage>): Promise<OutboundMessageContext<import("..").V2IssueCredentialMessage> | undefined>;
    private acceptRequest;
}
