"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DidsModuleConfig = void 0;
const methods_1 = require("./methods");
class DidsModuleConfig {
    constructor(options) {
        this.options = options !== null && options !== void 0 ? options : {};
    }
    /** See {@link DidsModuleConfigOptions.registrars} */
    get registrars() {
        var _a;
        const registrars = (_a = this.options.registrars) !== null && _a !== void 0 ? _a : [methods_1.KeyDidRegistrar, methods_1.IndySdkSovDidRegistrar, methods_1.PeerDidRegistrar];
        // If the peer did registrar is not included yet, add it
        return registrars.includes(methods_1.PeerDidRegistrar) ? registrars : [...registrars, methods_1.PeerDidRegistrar];
    }
    /** See {@link DidsModuleConfigOptions.resolvers} */
    get resolvers() {
        var _a;
        const resolvers = (_a = this.options.resolvers) !== null && _a !== void 0 ? _a : [methods_1.IndySdkSovDidResolver, methods_1.WebDidResolver, methods_1.KeyDidResolver, methods_1.PeerDidResolver];
        // If the peer did resolver is not included yet, add it
        return resolvers.includes(methods_1.PeerDidResolver) ? resolvers : [...resolvers, methods_1.PeerDidResolver];
    }
}
exports.DidsModuleConfig = DidsModuleConfig;
//# sourceMappingURL=DidsModuleConfig.js.map