"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeyDidResolver = void 0;
const plugins_1 = require("../../../../plugins");
const DidKey_1 = require("./DidKey");
let KeyDidResolver = class KeyDidResolver {
    constructor() {
        this.supportedMethods = ['key'];
    }
    async resolve(agentContext, did) {
        const didDocumentMetadata = {};
        try {
            const didDocument = DidKey_1.DidKey.fromDid(did).didDocument;
            return {
                didDocument,
                didDocumentMetadata,
                didResolutionMetadata: { contentType: 'application/did+ld+json' },
            };
        }
        catch (error) {
            return {
                didDocument: null,
                didDocumentMetadata,
                didResolutionMetadata: {
                    error: 'notFound',
                    message: `resolver_error: Unable to resolve did '${did}': ${error}`,
                },
            };
        }
    }
};
KeyDidResolver = __decorate([
    plugins_1.injectable()
], KeyDidResolver);
exports.KeyDidResolver = KeyDidResolver;
//# sourceMappingURL=KeyDidResolver.js.map